# Patches for upstream

# patches from fedora
0001-Fix-compiletest-fallout-from-stage0-bump.patch
0001-Update-the-barrier-cache-during-ARM-EHABI-unwinding.patch
rust-pr68019-in-tree-compiletest.patch

# pending, or forwarded
u-reproducible-build.patch
u-prefer-local-css.patch
u-test-python-3.patch
u-make-tests-work-without-rpath.patch
u-tests-ignore-arm.patch
u-mips-fixes.diff
#u-allow-system-compiler-rt.patch
u-riscv64-66899.patch
u-riscv64-68452.patch
u-riscv64-libc-1606.patch
u-riscv64-cc-461.patch
u-riscv64-cc-465.patch
u-riscv64-compiletest.patch
u-wasm32-libc-1625.patch

# not forwarded, or forwarded but unlikely to be merged
u-rustc-llvm-cross-flags.patch
u-reproducible-dl-stage0.patch

# Debian-specific patches, not suitable for upstream
# Patches needed by debian/prune-unused-deps
d-0000-ignore-removed-submodules.patch
d-0001-disable-miniz.patch
d-0002-pkg-config-no-special-snowflake.patch
d-0003-mdbook-strip-embedded-libs.patch
# Other patches needed by the full Debian build
#d-use-system-compiler-rt.patch
d-ignore-error-detail-diff.patch
d-disable-cargo-vendor.patch
d-rust-gdb-paths
d-rust-lldb-paths
d-add-soname.patch
d-dont-download-stage0.patch
d-read-beta-version-from-file.patch
d-ignore-avx-44056.patch
d-i686-baseline.patch
d-no-jemalloc.patch

# Porter fixes under discussion, not suitable for upstreaming
# as-is but a proper fix is being discussed
d-fix-mips64el-bootstrap.patch

# Work around for some porterboxes, keep this commented
#d-host-duplicates.patch

d-add-bootstrap-checksums.patch
